Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class RuleParser

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.RuleParser

public class RuleParser
extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.ErrorHandler

This class is not intended to be used concurrently.

Field Summary
`static java.lang.String` | `cName`

Constructor Summary
`RuleParser(QualificationDiscountDef def)`

Method Summary
`void` | `characters(char[] chars, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`DiscountModifier` | `getModifier()`
`SelectionRule` | `getSelectionRule()`
`void` | `ignorableWhitespace(char[] chars, int start, int length)`
`void` | `init()`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`boolean` | `run()`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### RuleParser

    public RuleParser(QualificationDiscountDef def)

Method Detail

### init

    public void init()

### run

    public boolean run()
                throws RuleParsingException

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    startElement in interface org.xml.sax.ContentHandler

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    characters in interface org.xml.sax.ContentHandler

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    endElement in interface org.xml.sax.ContentHandler

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    ignorableWhitespace in interface org.xml.sax.ContentHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    processingInstruction in interface org.xml.sax.ContentHandler

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    setDocumentLocator in interface org.xml.sax.ContentHandler

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Specified by:
    skippedEntity in interface org.xml.sax.ContentHandler

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    startDocument in interface org.xml.sax.ContentHandler

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    endDocument in interface org.xml.sax.ContentHandler

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Specified by:
    startPrefixMapping in interface org.xml.sax.ContentHandler

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    endPrefixMapping in interface org.xml.sax.ContentHandler

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Specified by:
    error in interface org.xml.sax.ErrorHandler

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Specified by:
    warning in interface org.xml.sax.ErrorHandler

### getSelectionRule

    public SelectionRule getSelectionRule()

### getModifier

    public DiscountModifier getModifier()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved